.TH XSETROOT 1 "Release 5" "X Version 11"
.SH NAME
faderoot \- root window parameter setting utility for X
.SH SYNOPSIS
.B faderoot
[-help] [-display \fIdisplay\fP] [-time \fIseconds\fP]
[-bitmap \fIfilename\fP] [-mod \fIx y\fP] [-gray] [-grey] [-solid]
.SH DESCRIPTION
The 
.I faderoot
program allows you to tailor the appearance of the background ("root")
window on a workstation display running X.
Unlike
.I xsetroot(1) ,
.I faderoot
becomes a daemon that will continuously vary the color
of the root window.
Normally, you experiment with
.I faderoot
until you find a personalized look that you like, then put the
.I faderoot
command that produces it into your X startup file.
.PP
Exactly one of the background color/tiling changing options 
(-solid, -gray, -grey, -bitmap, and -mod) should be specified.
.SH OPTIONS
.PP
The various options are as follows:
.IP \fB-help\fP
Print a usage message and exit.
.IP "\fB-bitmap\fP \fIfilename\fP"
Use the bitmap specified in the file to set the window pattern.  You can
make your own bitmap files (little pictures) using the
.I bitmap(1)
program.  The entire background will be made up of repeated "tiles" of
the bitmap.  Pixels that are black in 
.I bitmap(1)
will remain black; pixels that are white will be the varying color.
.IP "\fB-mod\fP \fIx\fP \fIy\fP"
This is used if you want a grid of black lines over the varying color
on your screen.  x and y are integers ranging from 1 to 16.
Try different combinations.  Zero and negative numbers are taken as 1.
.IP \fB-gray\fP
.IP \fB-grey\fP
This reduces the intensity of the root window's colors by
mixing black with the varying color in a checkerboard-like way.
.IP "\fB-solid\fP
This sets the background of the root window to the varying color.
.IP "\fB-display\fP \fIdisplay\fP"
Specifies the server to connect to; see \fIX(1)\fP.
.IP "\fB-time\fP \fIseconds\fP"
Specifies how fast to change the colors.  The default is once every second,
which is imperceptable.  Zero disables the daemon-ization of faderoot
and varies the colors quickly enough to swamp a network.
.SH NOTES
This program is really only useful on systems with PseudoColor displays.
.PP
Running
.I xsetroot(1)
to change the root window will kill any previous version of
.I faderoot
that may be executing.
.SH "SEE ALSO"
X(1), xsetroot(1), xkill(1)
.SH COPYRIGHT
Copyright 1993, Samuel T. Denton, III
.SH AUTHOR
Sam Denton, St. Louis, Missouri
